package com.ruoyi.ie.mapper;


import com.ruoyi.ie.domain.Subquestions;

import java.util.List;

/**
 * 子试题Mapper接口
 *
 * @author mingxue
 * @date 2021-06-19
 */
public interface SubquestionsMapper
{

    public List<Subquestions> selectSubquestionsByQuestionId(Long questionId);
    public List<Subquestions> selectSubquestionsByQuestionIds(Long[] ids);
    /**
     * 查询子试题
     *
     * @param id 子试题ID
     * @return 子试题
     */
    public Subquestions selectSubquestionsById(Integer id);

    /**
     * 查询子试题列表
     *
     * @param subquestions 子试题
     * @return 子试题集合
     */
    public List<Subquestions> selectSubquestionsList(Subquestions subquestions);

    /**
     * 新增子试题
     *
     * @param subquestions 子试题
     * @return 结果
     */
    public int insertSubquestions(Subquestions subquestions);

    /**
     * 修改子试题
     *
     * @param subquestions 子试题
     * @return 结果
     */
    public int updateSubquestions(Subquestions subquestions);

    /**
     * 删除子试题
     *
     * @param id 子试题ID
     * @return 结果
     */
    public int deleteSubquestionsById(Integer id);
    public int deleteSubquestionsByQuestionId(Integer questionId);

    /**
     * 批量删除子试题
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSubquestionsByIds(Integer[] ids);
}
